Page MenuHomePhabricator

Build an initial work backlog for Community Tech based on one or more existing community wishlists
Closed, ResolvedPublic

Description

Eventually Community Tech will conduct some sort of community polling similar to those conducted by WMDE's TCB-Team. In the meantime, we should build a work backlog based on one or more of the existing community wishlists, which can then be internally evaluated for feasibility, impact, risk, etc. (T105942).

Some existing wishlists to consider include:
https://meta.wikimedia.org/wiki/Wishlists
http://www.allourideas.org/wikimediagadgets/results (English)
http://www.allourideas.org/wikimediaaccesorios/results?locale=es (Spanish)
https://meta.wikimedia.org/wiki/Community_Engagement_%28Product%29/Product_Surveys/Ideas
https://meta.wikimedia.org/wiki/Community_Tech_project_ideas
https://bugs.wmflabs.org/buglist.cgi?columnlist=product%2Ccomponent%2Cassigned_to%2Cbug_status%2Cresolution%2Cshort_desc%2Cchangeddate%2Cvotes&list_id=361519&order=votes%20DESC%2Cassigned_to%2Cbug_id&product=MediaWiki&product=MediaWiki%20extensions&product=MediaWiki%20skins&product=Wikimedia&query_based_on=&query_format=advanced&resolution=---&votes=2&votes_type=greaterthaneq

The selected wishlist(s) should match as closely as possible the defined scope of the Community Tech team. Preference should be given to wishlists which have already been ranked or prioritized in some way.

Event Timeline

kaldari created this task.Aug 4 2015, 2:16 AM
kaldari claimed this task.
kaldari raised the priority of this task from to Needs Triage.
kaldari updated the task description. (Show Details)
kaldari added a project: Community-Tech.
kaldari added a subscriber: kaldari.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 4 2015, 2:16 AM
kaldari updated the task description. (Show Details)Aug 4 2015, 2:17 AM
kaldari set Security to None.
kaldari moved this task from Untriaged to Blocked on the Community-Tech board.Aug 5 2015, 3:12 AM
kaldari updated the task description. (Show Details)Aug 5 2015, 3:44 AM

At our sprint planning meeting this morning we decided to use the 2 All Your Ideas surveys as a starting point, mainly because they are already prioritized and specifically address tools and gadgets (which fit the scope of our team). We will be investigating the Top 10 requests from each of those 2 lists, soliciting feedback from existing maintainers and interested community members, and then prioritizing them based on our assessment criteria (T105942).

Deskana updated the task description. (Show Details)Aug 7 2015, 11:13 PM
kaldari updated the task description. (Show Details)Aug 7 2015, 11:13 PM
Qgil added a subscriber: Qgil.Aug 10 2015, 9:18 AM
kaldari closed this task as Resolved.Aug 13 2015, 12:24 AM
kaldari moved this task from In Dev/Progress to Done on the Community-Tech board.